Flecs: Pipelines
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Pipelines
C++ API » Addons

Pipelines order and schedule systems for execution. More...

Collaboration diagram for Pipelines:

## Classes
struct | flecs::pipeline_builder< Components >
| Pipeline builder. More...
struct | flecs::pipeline_builder_i< Base >
| Pipeline builder interface. More...
struct | flecs::pipeline< Components >
flecs::pipeline_builder | flecs::world::pipeline () const
| Create a new pipeline.
template<typename Pipeline, if_not_t< is_enum< Pipeline >::value > = 0>
flecs::pipeline_builder | pipeline () const
| Create a new pipeline.
void | set_pipeline (const flecs::entity pip) const
| Set pipeline.
template<typename Pipeline>
void | set_pipeline () const
| Set pipeline.
flecs::entity | get_pipeline () const
| Get pipeline.
bool | progress (ecs_ftime_t delta_time=0.0) const
| Progress world one tick.
void | run_pipeline (const flecs::entity_t pip, ecs_ftime_t delta_time=0.0) const
| Run pipeline.
template<typename Pipeline, if_not_t< is_enum< Pipeline >::value > = 0>
void | run_pipeline (ecs_ftime_t delta_time=0.0) const
| Run pipeline.
void | set_time_scale (ecs_ftime_t mul) const
| Set timescale.
void | set_target_fps (ecs_ftime_t target_fps) const
| Set target FPS.
void | reset_clock () const
| Reset simulation clock.
void | set_threads (int32_t threads) const
| Set number of threads.
int32_t | get_threads () const
| Set number of threads.
void | set_task_threads (int32_t task_threads) const
| Set number of task threads.
bool | using_task_threads () const
| Returns true if task thread use has been requested.

## Detailed Description

Pipelines order and schedule systems for execution.

## Function Documentation

## ◆ get_pipeline()

flecs::entity flecs::world::get_pipeline | ( |  | ) | const
| related

Get pipeline.

See also
  ecs_get_pipeline

Definition at line 43 of file impl.hpp.

## ◆ get_threads()

int32_t flecs::world::get_threads | ( |  | ) | const
| related

Set number of threads.

See also
  ecs_get_stage_count

Definition at line 76 of file impl.hpp.

## ◆ pipeline() [1/2]

flecs::pipeline_builder flecs::world::pipeline | ( |  | ) | const
| inline

Create a new pipeline.

Returns
  A pipeline builder.

Definition at line 25 of file impl.hpp.

## ◆ pipeline() [2/2]

template<typename Pipeline, if_not_t< is_enum< Pipeline >::value >>

flecs::pipeline_builder flecs::world::pipeline | ( |  | ) | const
| related

Create a new pipeline.

Template Parameters

  Pipeline | Type associated with pipeline.

Returns
  A pipeline builder.

Definition at line 30 of file impl.hpp.

## ◆ progress()

bool flecs::world::progress | ( | ecs_ftime_t | delta_time = 0.0 | ) | const
| related

Progress world one tick.

See also
  ecs_progress

Definition at line 47 of file impl.hpp.

## ◆ reset_clock()

void flecs::world::reset_clock | ( |  | ) | const
| related

Reset simulation clock.

See also
  ecs_reset_clock

Definition at line 68 of file impl.hpp.

## ◆ run_pipeline() [1/2]

void flecs::world::run_pipeline | ( | const flecs::entity_t | pip,
|  | ecs_ftime_t | delta_time = 0.0 ) const
| related

Run pipeline.

See also
  ecs_run_pipeline

Definition at line 51 of file impl.hpp.

## ◆ run_pipeline() [2/2]

template<typename Pipeline, if_not_t< is_enum< Pipeline >::value >>

void flecs::world::run_pipeline | ( | ecs_ftime_t | delta_time = 0.0 | ) | const
| related

Run pipeline.

Template Parameters

  Pipeline | Type associated with pipeline.

See also
  ecs_run_pipeline

Definition at line 56 of file impl.hpp.

## ◆ set_pipeline() [1/2]

template<typename Pipeline>

void flecs::world::set_pipeline | ( |  | ) | const
| related

Set pipeline.

See also
  ecs_set_pipeline

Definition at line 39 of file impl.hpp.

## ◆ set_pipeline() [2/2]

void flecs::world::set_pipeline | ( | const flecs::entity | pip | ) | const
| related

Set pipeline.

See also
  ecs_set_pipeline

Definition at line 34 of file impl.hpp.

## ◆ set_target_fps()

void flecs::world::set_target_fps | ( | ecs_ftime_t | target_fps | ) | const
| related

Set target FPS.

See also
  ecs_set_target_fps

Definition at line 64 of file impl.hpp.

## ◆ set_task_threads()

void flecs::world::set_task_threads | ( | int32_t | task_threads | ) | const
| related

Set number of task threads.

See also
  ecs_set_task_threads

Definition at line 80 of file impl.hpp.

## ◆ set_threads()

void flecs::world::set_threads | ( | int32_t | threads | ) | const
| related

Set number of threads.

See also
  ecs_set_threads

Definition at line 72 of file impl.hpp.

## ◆ set_time_scale()

void flecs::world::set_time_scale | ( | ecs_ftime_t | mul | ) | const
| related

Set timescale.

See also
  ecs_set_time_scale

Definition at line 60 of file impl.hpp.

## ◆ using_task_threads()

bool flecs::world::using_task_threads | ( |  | ) | const
| related

Returns true if task thread use has been requested.

See also
  ecs_using_task_threads

Definition at line 84 of file impl.hpp.